Bug 133449 - root directory not display at prompt
root directory not display at prompt
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: bash (Show other bugs)
3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-23 21:56 EDT by Jason
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-24 04:10:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jason 2004-09-23 21:56:17 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; rv:1.7.3) Gecko/20040914
Firefox/0.10

Description of problem:
at the bash prompt when I am at /root the prompt shows
[root@pc4331 ~]#
if I cd to / then I see
[root@pc4331 /]#
if I cd to /usr/local I see
[root@pc4331 local]#

I should see 
[root@pc4331 root]# when I am in /root

Version-Release number of selected component (if applicable):
3.0-14

How reproducible:
Always

Steps to Reproduce:
1. goto a prompt
2. cd /root
3.
    

Actual Results:  I see [root@pc4331 ~]#

Expected Results:  I should see [root@pc4331 root]#

Additional info:
Comment 1 Tim Waugh 2004-09-24 04:10:41 EDT
This is expected behaviour when HOME=/root.
Comment 2 Jason 2004-09-24 17:10:54 EDT
Why was the change made?
Comment 3 Tim Waugh 2004-09-27 04:13:04 EDT
This comes from the unpatched package upstream.  I think it's new
behaviour to bash 3.

Note You need to log in before you can comment on or make changes to this bug.